Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.tiamat.graphics
Class Theme

    java.lang.Object
      com.huguesjohnson.tiamat.graphics.Theme

All Implemented Interfaces:
  Storable

    public class Theme

extends java.lang.Object
implements Storable

Theme - stores style elements for a top-level container

Author:
  Hugues Johnson

Constructor Summary
`Theme()` Default constructor, creates an empty theme

Method Summary
`ColorScheme` | `getColorScheme()` Returns the ColorScheme for this Theme.
`java.awt.image.BufferedImage` | `getRadioButtonImage()` Returns the image to display on a radio button.
`java.lang.String` | `getRadioButtonImagePath()` Returns the relative path to the image to display on a radio button.
`java.lang.String` | `getRadioButtonImagePathAbsolute()` Returns the absolute path to the image to display on a radio button.
`java.awt.image.BufferedImage` | `getRadioButtonSelectedImage()` Returns the image to display on a selected radio button.
`java.lang.String` | `getRadioButtonSelectedImagePath()` Returns the relative path to the image to display on a selected radio button.
`java.lang.String` | `getRadioButtonSelectedImagePathAbsolute()` Returns the absolute path to the image to display on a selected radio button.
`void` | `onDeserialize(Formatter formatter, java.lang.String absoluteDir)` The onDeserialize event should be fired after an object is de-serialized.
`void` | `setAbsoluteDir(java.lang.String absoluteDir)` Set the absolute path to the directory where images are stored.
`void` | `setColorScheme(ColorScheme colorScheme)` Sets the ColorScheme for this Theme.
`void` | `setRadioButtonImagePath(java.lang.String radioButtonImagePath)` Sets the image to display on a radio button.
`void` | `setRadioButtonSelectedImagePath(java.lang.String radioButtonSelectedImagePath)` Sets the image to display on a selected radio button.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Theme

    public Theme()

  Default constructor, creates an empty theme

Method Detail

### getColorScheme

    public ColorScheme getColorScheme()

  Returns the ColorScheme for this Theme.

  Returns:
    The ColorScheme for this Theme.

### setColorScheme

    public void setColorScheme(ColorScheme colorScheme)

  Sets the ColorScheme for this Theme.

  Parameters:
    `colorScheme` - The new ColorScheme for this Theme.

### getRadioButtonImage

    public java.awt.image.BufferedImage getRadioButtonImage()

  Returns the image to display on a radio button.

  Returns:
    The image to display on a radio button.

### setRadioButtonImagePath

    public void setRadioButtonImagePath(java.lang.String radioButtonImagePath)

  Sets the image to display on a radio button.

  Parameters:
    `radioButtonImagePath` - The path to the new image to display on a radio button.

### getRadioButtonImagePath

    public java.lang.String getRadioButtonImagePath()

  Returns the relative path to the image to display on a radio button.

  Returns:
    The relative path to the image to display on a radio button.

### getRadioButtonImagePathAbsolute

    public java.lang.String getRadioButtonImagePathAbsolute()

  Returns the absolute path to the image to display on a radio button.

  Returns:
    The absolute path to the image to display on a radio button.

### getRadioButtonSelectedImage

    public java.awt.image.BufferedImage getRadioButtonSelectedImage()

  Returns the image to display on a selected radio button.

  Returns:
    The image to display on a selected radio button.

### setRadioButtonSelectedImagePath

    public void setRadioButtonSelectedImagePath(java.lang.String radioButtonSelectedImagePath)

  Sets the image to display on a selected radio button.

  Parameters:
    `radioButtonSelectedImagePath` - The path to the new image to display on a selected radio button.

### getRadioButtonSelectedImagePath

    public java.lang.String getRadioButtonSelectedImagePath()

  Returns the relative path to the image to display on a selected radio button.

  Returns:
    The relative path to the image to display on a selected radio button.

### getRadioButtonSelectedImagePathAbsolute

    public java.lang.String getRadioButtonSelectedImagePathAbsolute()

  Returns the absolute path to the image to display on a selected radio button.

  Returns:
    The absolute path to the image to display on a selected radio button.

### setAbsoluteDir

    public void setAbsoluteDir(java.lang.String absoluteDir)

  Set the absolute path to the directory where images are stored.

  Parameters:
    `absoluteDir` - New path to the directory where images are stored.

### onDeserialize

    public void onDeserialize(Formatter formatter,
                              java.lang.String absoluteDir)

  The onDeserialize event should be fired after an object is de-serialized. This allows objects to load transient members, set their working directory, and load Storable members if needed.

  Specified by:
    `onDeserialize` in interface `Storable`
  Parameters:
    `formatter` - the formatter to use to load any storable members
    `absoluteDir` - the working directory since all paths stored in the object should be relative

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hugues Johnson